{
  "name": "dwd_recsys_alg_exposure_base_view_20250402",
  "project": "loghubods",
  "comment": "推荐算法-labelmatch表-上游曝光表",
  "columns": [
    {
      "name": "dthh_id",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "dthh",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "apptype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "uid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "mid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "vid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "sessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "subsessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "rootsessionid_new",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "pagesource",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recommendlogvo",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "abcode",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recommendpagetype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recomtraceid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "headvideoid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "rootsourceid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "hotsencetype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "animationscenetype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "extparams",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "flowpool",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "level",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "clientip",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_brand",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_model",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_system",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_wechatversion",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_sdkversion",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "province",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "city",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "versioncode",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "ts",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "rn",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "id",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "dt",
      "type": "STRING",
      "comment": "日期:20240105"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时:04"
    }
  ],
  "partition_keys": [
    {
      "name": "dt",
      "type": "STRING",
      "comment": "日期:20240105"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时:04"
    }
  ],
  "dataworks_tasks": [
    {
      "id": 1024847760,
      "name": "label_上游曝光表"
    }
  ],
  "upstream_tables": [
    "loghubods.video_action_log_flow_new"
  ]
}